CVE-2016-4414

Priority
Description
The onReadyRead function in core/coreauthhandler.cpp in Quassel before
0.12.4 allows remote attackers to cause a denial of service (NULL pointer
dereference and crash) via invalid handshake data.
Notes
sbeattieaffect quassel 0.10 through 0.12.3)
Package
Upstream:released (1:0.12.4-2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was not-affected [0.10.x and later only])
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was needed)
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (1:0.12.4-2ubuntu2)
Ubuntu 19.10 (Eoan Ermine):not-affected (1:0.12.4-2ubuntu2)
Ubuntu 20.04 (Focal Fossa):not-affected (1:0.12.4-2ubuntu2)
Patches:
Upstream:https://github.com/quassel/quassel/commit/e67887343c433cc35bc26ad6a9392588f427e746
More Information

Updated: 2020-04-24 03:29:59 UTC (commit d3f8a6ed481830fb100109a132bef581fc4176fe)